Bug 200485 - emulators/qemu-user-static: Link with -pthread segfault since r385142
Summary: emulators/qemu-user-static: Link with -pthread segfault since r385142
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: Sean Bruno
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2015-05-27 18:16 UTC by Renato Botelho
Modified: 2015-05-29 18:25 UTC (History)
5 users (show)

See Also:
nox: maintainer-feedback+


Attachments
test program (3.88 KB, text/x-csrc)
2015-05-27 18:16 UTC, Renato Botelho
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2015-05-27 18:16:15 UTC
Created attachment 157202 [details]
test program

When building ARM packages on stable/10, using poudriere + qemu-user-static after revision 385142, binaries linked against -pthread crash with segmentation fault.

For instance, you can use net/openldap24-client or net/ntp to test.

I'm going to attach conftest.c, obtained from openldap24-client configure script, that can be used to test too, here are compiler arguments:

cc -o conftest -O2 -pipe -mfloat-abi=softfp -DMDB_DSYNC=O_SYNC -Dfdatasync=fsync -fno-strict-aliasing -I/usr/local/include conftest.c -pthread -L/usr/local/lib
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-28 02:25:18 UTC
emulators/qemu-user-static is maintained by nox@

I won't reassign since I presume all people on this issue know whats going on, but CC'ing MAINTAINER for maintainer-feedback
Comment 2 Sean Bruno freebsd_committer 2015-05-28 23:44:38 UTC
https://github.com/seanbruno/qemu-bsd-user/commit/bdffcf3bb05520fa064b03a15037406e637db72b

Stacey has come up with this change and it resolves things for me.  I'll ask the port maintainer to do an update.
Comment 3 Renato Botelho freebsd_committer 2015-05-29 16:18:56 UTC
This patch fixed the issue for me. Thanks!
Comment 4 commit-hook freebsd_committer 2015-05-29 18:24:16 UTC
A commit references this bug:

Author: nox
Date: Fri May 29 18:23:31 UTC 2015
New revision: 387876
URL: https://svnweb.freebsd.org/changeset/ports/387876

Log:
  Catch up with github tree, fixing bsd-user pthread crashes among
  other things - changelog:

  	https://github.com/seanbruno/qemu-bsd-user/commits/bsd-user

  PR:		200485

Changes:
  head/emulators/qemu-sbruno/Makefile
  head/emulators/qemu-sbruno/distinfo
Comment 5 Juergen Lock freebsd_committer 2015-05-29 18:25:19 UTC
Committed.  Thanks!